| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::RenameCustomizer Class Reference
Inheritance diagram for Digikam::RenameCustomizer:

## Public Types
enum | Case { NONE = 0 , UPPER , LOWER }

## Signals
void | signalChanged ()

## Public Member Functions
| RenameCustomizer (QWidget *const parent, const QString &cameraTitle)
Case | changeCase () const
QString | newName (const QString &fileName) const
AdvancedRenameManager * | renameManager () const
void | reset ()
void | setChangeCase (Case val)
void | setPreviewText (const QString &txt)
void | setStartIndex (int startIndex)
void | setUseDefault (bool val)
int | startIndex () const
bool | useDefault () const